
package de.ivu.elect.presentation.kandidatur.action;

import java.util.List;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import de.ivu.elect.business.kandidatur.entity.Kandidatur;
import de.ivu.elect.jee.presentation.action.ActionEntry;

@Specializes
public class WasDirektkandidaturActionMenu extends DirektkandidaturActionMenu {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient WaehlerBenannteDirektkandidaturEditAction waehlerBenannteDirektkandidaturEditAction;

  @Inject
  private transient WaehlerBenannteDirektkandidaturDeleteAction waehlerBenannteDirektkandidaturDeleteAction;

  @Inject
  private transient DirektkandidaturZulassungAufhebenKeineZulassungsfaehigkeitBeimZulassungsausschussAction direktkandidaturZulassungAufhebenKeineZulassungsfaehigkeitBeimZulassungsausschussAction;

  @Inject
  private transient DirektkandidaturZulassungAufhebenKeineZulassungsfaehigkeitNachZulassungsausschussAction direktkandidaturZulassungAufhebenKeineZulassungsfaehigkeitNachZulassungsausschussAction;

  public WasDirektkandidaturActionMenu() {
    super();
  }

  @Override
  protected void addKandidaturEditAction(List<ActionEntry<Kandidatur>> result) {
    super.addKandidaturEditAction(result);

    result.add(waehlerBenannteDirektkandidaturEditAction);
  }

  @Override
  protected void addKandidaturDeleteAction(List<ActionEntry<Kandidatur>> result) {
    super.addKandidaturDeleteAction(result);

    result.add(waehlerBenannteDirektkandidaturDeleteAction);
  }

  @Override
  protected void addKandidaturZulassungActions(List<ActionEntry<Kandidatur>> result) {
    super.addKandidaturZulassungActions(result);

    result.add(direktkandidaturZulassungAufhebenKeineZulassungsfaehigkeitBeimZulassungsausschussAction);
    result.add(direktkandidaturZulassungAufhebenKeineZulassungsfaehigkeitNachZulassungsausschussAction);
  }
}
